#version 150
#extension GL_EXT_gpu_shader4 : enable

// dof.x ... range
// dof.y ... focus
//uniform vec2 dof;
uniform sampler2D sharp;
uniform sampler2D blured;

in vec2 vTexCoord;

out vec4 fragmentColor;

void main(void){
	vec4 sharpColor  = texture(sharp,  vTexCoord);
	vec4 bluredColor = texture(blured, vTexCoord);
	fragmentColor = mix(sharpColor, bluredColor, clamp(0.9 * abs(0.1 - sharpColor.a), 0.0, 1.0));
}