#version 150
#extension GL_EXT_gpu_shader4 : enable

uniform samplerCube environment;

in vec3 vNormal;
in vec3 vColor;
in vec3 vViewVec;

out vec4 fragmentColor;

void main(void){
	vec3 normal = normalize(vNormal);
	float v = dot(normalize(vViewVec), normal);
	vec4 refl = texture(environment, reflect(vViewVec, normal));
	fragmentColor = vec4(min(refl.xyz + vColor, 1.0),  max(0.6, 1.0 + v));  
}