#version 150

uniform vec4 camPosition;
uniform mat4 modelViewMat;
uniform mat3 normalMat;
uniform mat4 projMat;

in vec4 position;
in vec4 normal;
in vec4 color;

out vec3 vNormal;
out vec3 vColor;
out vec3 vViewVec;

void main(void){
	gl_Position = projMat * (modelViewMat * position);
	vNormal = normalMat * normal.xyz;
	vColor = color.xyz * 0.6;
	vViewVec = position.xyz - camPosition.xyz;
}